#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	valgrind
Version		:	3.24.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Valgrind Memory Debugger
Group		:	Development/Debuggers

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://www.valgrind.org/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
%description
Valgrind is an award-winning instrumentation framework for building dynamic
analysis tools. There are Valgrind tools that can automatically detect many
memory management and threading bugs, and profile your programs in detail. You
can also use Valgrind to build new tools.  Valgrind runs on the following
platforms: x86/Linux, AMD64/Linux, PPC32/Linux, PPC64/Linux, x86/MacOSX,
AMD64/MacOSX.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_bindir}/callgrind_*
%{_bindir}/cg_*
%{_bindir}/ms_*
%{_bindir}/vgdb
%attr(0755,root,root) %{_libexecdir}/%{name}/vgpreload_*-amd64-linux.so
%{_libexecdir}/%{name}/*[^o]
%{_defaultdocdir}/%{name}-%{version}/%{name}_manual.pdf
%{_defaultdocdir}/%{name}-%{version}/%{name}_manual.ps
%{_defaultdocdir}/%{name}-%{version}/html/*.html
%{_defaultdocdir}/%{name}-%{version}/html/vg_basic.css
%{_defaultdocdir}/%{name}-%{version}/html/images/*.png
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for valgrind aware programs

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Header files and libraries for development of valgrind aware
programs.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		tool-devel
Summary		:	Development files for building valgrind tools.

Requires	:	%{name}-devel	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tool-devel
Header files and libraries for development of valgrind tools.

#-----------------------------------------------------------------------------
%files			tool-devel
%defattr(-,root,root,-)
%{_includedir}/valgrind/vki/*.h
%{_libdir}/%{name}/*.a

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#This sed provides for installing the documentation in a versioned directory. 
sed -i 							\
	-e 's|/doc/valgrind||'				\
	docs/Makefile.in

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-only64bit				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

 
# We don't want debuginfo generated for the vgpreload libraries.
# Turn off execute bit so they aren't included in the debuginfo.list.
# We'll turn the execute bit on again in %%files.
chmod 644 %{buildroot}%{_libexecdir}/%{name}/vgpreload_*-amd64-linux.so
#-----------------------------------------------------------------------------
%changelog
